LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Classes | Modules
RowSet.idl File Reference
`import "com/sun/star/sdbc/RowSet.idl";`
`import "com/sun/star/sdb/ResultSet.idl";`
`import "com/sun/star/sdb/XCompletedExecution.idl";`

Go to the source code of this file.

## Classes
service | RowSet
| is a client side RowSet, which use retrieves is data based on a database table, a query or a SQL command or by a row set reader, who mustn't support SQL. More...

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdbc
| Database component interfaces.
module | com::sun::star::sdbcx
| High-level database component interfaces.
module | com::sun::star::sdb
| Basic interfaces for database access.